[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# VarInvalidArgError

Raise an EVariantInvalidArgError error

## Declaration

Source position: variants.pp line 306

`procedure VarInvalidArgError; procedure VarInvalidArgError(`
`AType: tvartype`
`);`

## Arguments

`AType` |  | Type of the argument

## Description

VarInvalidArgError raises an EVariantInvalidArgError exception with a standard error message. If the AType argument is specified, a description of the argument type is included in the error message.

## See also

EVariantInvalidArgError |  | Error raised when an invalid argument is detected
VarInvalidNullOp |  | Raise an EVariantInvalidOpError error
VarInvalidOp |  | Raise a EVariantInvalidOpError error
VarBadIndexError |  | Raise an EVariantBadIndexError error
VarArrayLockedError |  | Raise an EVariantArrayLockedError error